## deepin-editor 5.10.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

if (NOT DEFINED VERSION)
    set(VERSION 1.2.2)
endif ()

project(deepin-editor)

#set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif ()

add_subdirectory(src)

add_subdirectory(tests)

=== src/CMakeLists.txt ===
if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3")
    # generate qm files
    execute_process(COMMAND bash "${CMAKE_SOURCE_DIR}/translate_generation.sh" WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif ()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/environments.h.in ${CMAKE_CURRENT_SOURCE_DIR}/environments.h @ONLY)

# Sources files
file(GLOB HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/*.h"  "encodes/*.h" "common/*.h" "controls/*.h" "editor/*.h"  "thememodule/*.h" "widgets/*.h")
file(GLOB SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp" "encodes/*.cpp" "common/*.cpp" "controls/*.cpp" "editor/*.cpp"  "thememodule/*.cpp" "widgets/*.cpp")

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/encodes)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/common)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/controls)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/editor)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/thememodule)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/widgets)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/lib/include)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Concurrent REQUIRED)
find_package(Qt5PrintSupport REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkCore REQUIRED)
find_package(KF5SyntaxHighlighting)
find_package(KF5Codecs)
find_package(DFrameworkdbus REQUIRED)
find_package(Qt5Xml REQUIRED)
find_package(Qt5Svg REQUIRED)
include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})

pkg_check_modules(chardet REQUIRED chardet)
include_directories(${chardet_INCLUDE_DIRS})
link_directories(${chardet_LIBRARY_DIRS})

# Tell CMake to create the executable
add_executable(deepin-editor ${SRCS} deepin-editor.qrc)
target_link_libraries(deepin-editor
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${Qt5PrintSupport_LIBRARIES}
    ${Qt5Concurrent_LIBRARIES}
    ${DFrameworkdbus_LIBRARIES}
    ${Qt5Xml_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${chardet_LIBRARY_DIRS}
    KF5::Codecs
    KF5::SyntaxHighlighting
    -lm
    uchardet
    chardet
)

set(CMAKE_INSTALL_PREFIX /usr)

# Install qm files
file(GLOB QM_FILES "${CMAKE_SOURCE_DIR}/translations/*.qm")
install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-editor/translations/)
install(FILES ${APP_ICONPATH} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)
install(FILES ${CMAKE_SOURCE_DIR}/src/images/deepin-editor.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)

# Install help manual
if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "loongarch64")
    install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/loongarch64/deepin-editor DESTINATION /usr/share/deepin-manual/manual-assets/application/)
elseif(${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/loongarch64/deepin-editor DESTINATION /usr/share/deepin-manual/manual-assets/application/)
else()
    install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/deepin-editor DESTINATION /usr/share/deepin-manual/manual-assets/application/)
endif()

install(TARGETS deepin-editor DESTINATION bin/)
install(FILES ${CMAKE_SOURCE_DIR}/deepin-editor.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/)
install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/themes DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-editor/)

=== tests/CMakeLists.txt ===
# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
#
# Author:     zhangteng <zhangteng@uniontech.com>
#
# Maintainer: zhangteng <zhangteng@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
ADD_COMPILE_OPTIONS(-fno-access-control)
set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")
set(APP_QRC "../src/deepin-editor.qrc")

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Concurrent REQUIRED)
find_package(Qt5PrintSupport REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkCore REQUIRED)
find_package(KF5SyntaxHighlighting)
find_package(KF5Codecs)
find_package(DFrameworkdbus REQUIRED)
find_package(Qt5Test REQUIRED)
find_package(GTest REQUIRED)
find_package(Qt5Xml REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5Test REQUIRED)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
include_directories(Qt5PrintSupport)
include_directories(${GTEST_INCLUDE_DIRS})
include_directories(src)
link_libraries(uchardet)
link_libraries(chardet)

pkg_check_modules(chardet REQUIRED chardet)
include_directories(${chardet_INCLUDE_DIRS})
link_directories(${chardet_LIBRARY_DIRS})

set(PROJECT_NAME_TEST
    ${PROJECT_NAME}-test)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-inline")

#Include all app own subdirectorys


file(GLOB_RECURSE INTRODUCTION_SRC_TEST ${CMAKE_CURRENT_LIST_DIR}/../src/*.cpp)
#file(GLOB_RECURSE INTRODUCTION_SRC_TEST ${CMAKE_CURRENT_LIST_DIR}/../src/*.)
#file(GLOB_RECURSE INTRODUCTION_SRC_TEST1 ${CMAKE_CURRENT_LIST_DIR}/src/*.)
file(GLOB_RECURSE INTRODUCTION_SRC_TEST1 ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp *.theme)
#file(GLOB_RECURSE INTRODUCTION_SRC_TEST1 ${CMAKE_CURRENT_LIST_DIR}/src/*.theme)

list(REMOVE_ITEM INTRODUCTION_SRC_TEST "${CMAKE_CURRENT_LIST_DIR}/../src/main.cpp")
list(REMOVE_ITEM INTRODUCTION_SRC_TEST "${CMAKE_CURRENT_LIST_DIR}/../src/dedit/main.cpp")
list(REMOVE_ITEM INTRODUCTION_SRC_TEST "${CMAKE_CURRENT_LIST_DIR}/../src/common/encoding.cpp")


# 生成测试可执行程序
add_executable(${PROJECT_NAME_TEST}
    ${INTRODUCTION_SRC_TEST}
    ${INTRODUCTION_SRC_TEST1}
    ${APP_QRC}
    )

# 生成测试可执行程序的依赖库
target_link_libraries(${PROJECT_NAME_TEST}
        gmock gmock_main gtest gtest_main
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DFrameworkdbus_LIBRARIES}
    ${GSTREAMER_LIBRARIES}
    ${Qt5PrintSupport_LIBRARIES}
    ${LIBDMR_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${GTEST_MAIN_LIBRARIES}
    ${Qt5Xml_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
    Qt5::DBus
    Qt5::Test
    ${Qt5Widgets_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${Qt5Concurrent_LIBRARIES}
    ${chardet_LIBRARY_DIRS}
    KF5::Codecs
    KF5::SyntaxHighlighting
    -lpthread
    -lm
    uchardet
    chardet
)

target_include_directories(${PROJECT_NAME_TEST} PUBLIC ${DtkWidget_INCLUDE_DIRS}
                                                       ${DtkCore_INCLUDE_DIRS}
                                                       ${DtkGui_INCLUDE_DIRS})
#以下注释
add_custom_target(test
#    #执行mkdir -p 创建 coverageResult
#    COMMAND mkdir -p test/coverageResult
#    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)
#
add_custom_command(TARGET test
    COMMAND echo " =================== CREAT LCOV REPROT BEGIN ==================== "

    COMMAND ${CMAKE_BINARY_DIR}/tests/${PROJECT_NAME_TEST}

    COMMAND echo " =================== TEST END ==================== "
)

##'make test'命令依赖与我们的测试程序f
add_dependencies(test ${PROJECT_NAME_TEST})
#
## 设置添加gocv相关信息的输出
#set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")

#ASAN安全性检测标志
set(CMAKE_SAFETYTEST "${CMAKE_SAFETYTEST_ARG}")
if(CMAKE_SAFETYTEST STREQUAL "")
    set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_OFF")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D${CMAKE_SAFETYTEST}")
if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
  #安全测试选项
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")
endif()

=== debian/changelog ===
deepin-editor (5.10.14-1) unstable; urgency=medium

  * update

 -- Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>  Wed, 26 Jan 2022 09:12:55 +0800

deepin-editor (5.9.6-1) unstable; urgency=low

  [ Hu Feng <hufeng@uniontech.com> Fri, 19 Feb 2021 15:32:28 +0800 ]
  * debian/control
    + Add Hu Feng to the uploaders list.
    + Delete libdtkwm-dev in Build-Depends.
    + Delete libxcb-util0-dev in Build-Depends.
    + Delete libxcb1-dev in Build-Depends.
    + Delete libxext-dev in Build-Depends.
    + Delete libxtst-dev in Build-Depends.
    + Add libdframeworkdbus-dev to Build-Depends.
    + Add libgmock-dev to Build-Depends.
    + Add libgtest-dev to Build-Depends.
    + Add deepin-desktop-base to Depends in deepin-editor package.
    + Add dde-qt5integration to Depends in deepin-editor package.

  [ Clay Stan ]
  * debian/copyright: Update license information.

  [ Ma Aiguo ]
  * Initial package (Closes: #897571)

 -- Ma Aiguo <imaiguo@gmail.com>  Wed, 02 Jun 2021 16:53:34 +0800

=== debian/control ===
Source: deepin-editor
Section: editors
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders: Ma Aiguo <imaiguo@gmail.com>,
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 pkg-config,
 libqt5widgets5,
 libdtkcore-dev,
 libdtkwidget-dev,
 libpolkit-qt5-1-dev,
 libkf5syntaxhighlighting-dev,
 libkf5codecs-dev,
 qttools5-dev-tools,
 qtbase5-private-dev,
 libdframeworkdbus-dev,
 libgtest-dev,
 libgmock-dev,
 libchardet-dev,
 libuchardet-dev (>= 0.0.6)
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/linuxdeepin/deepin-editor

Package: deepin-editor
Architecture: any
Depends:
 dde-qt5integration,
 ${shlibs:Depends},
 ${misc:Depends},
 libdtkwidget5 (>= 5.4.11),
 libuchardet0 (>= 0.0.6),
 libchardet1
Description: Text editor for DDE (Deepin Desktop Environment)
 Advanced text editor based on dtk.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%deepin-editor-$1.tar.gz%" \
   https://github.com/linuxdeepin/deepin-editor/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## deepin-editor 5.10.18

=== debian/changelog ===
deepin-editor (5.10.18-1) unstable; urgency=medium

  * update

 -- Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>  Mon, 16 May 2022 10:24:02 +0800

## deepin-editor 5.10.33

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,4 +20,6 @@
 
 add_subdirectory(src)
 
-add_subdirectory(tests)
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    add_subdirectory(tests)
+endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
 find_package(DFrameworkdbus REQUIRED)
 find_package(Qt5Xml REQUIRED)
 find_package(Qt5Svg REQUIRED)
+find_package(ICU COMPONENTS i18n uc REQUIRED)
 include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
 
 pkg_check_modules(chardet REQUIRED chardet)
@@ -54,6 +55,8 @@
     ${chardet_LIBRARY_DIRS}
     KF5::Codecs
     KF5::SyntaxHighlighting
+    ICU::i18n
+    ICU::uc
     -lm
     uchardet
     chardet
@@ -67,10 +70,16 @@
 install(FILES ${APP_ICONPATH} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)
 install(FILES ${CMAKE_SOURCE_DIR}/src/images/deepin-editor.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)
 
+#代码覆盖率开关
+if(CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
+endif()
+
 # Install help manual
-if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "loongarch64")
-    install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/loongarch64/deepin-editor DESTINATION /usr/share/deepin-manual/manual-assets/application/)
-elseif(${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
+#if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "loongarch64")
+#    install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/loongarch64/deepin-editor DESTINATION /usr/share/deepin-manual/manual-assets/application/)
+if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
     install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/loongarch64/deepin-editor DESTINATION /usr/share/deepin-manual/manual-assets/application/)
 else()
     install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/deepin-editor DESTINATION /usr/share/deepin-manual/manual-assets/application/)

=== debian/changelog ===
deepin-editor (5.10.33-1) unstable; urgency=medium

  * update

 -- Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>  Tue, 26 Jul 2022 14:51:47 +0800

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
  libgtest-dev,
  libgmock-dev,
  libchardet-dev,
- libuchardet-dev (>= 0.0.6)
+ libuchardet-dev (>= 0.0.6),
+ libicu-dev
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Homepage: https://github.com/linuxdeepin/deepin-editor

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
include /usr/share/dpkg/default.mk

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DH_AUTO_ARGS = --parallel --buildsystem=cmake

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_OFF" \
	  -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

## deepin-editor 6.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,13 @@
 cmake_minimum_required(VERSION 3.7)
 
-if (NOT DEFINED VERSION)
-    set(VERSION 1.2.2)
-endif ()
+set(VERSION "6.0.0" CACHE STRING "Application version")
 
-project(deepin-editor)
+project(deepin-editor
+    VERSION ${VERSION}
+    DESCRIPTION "Text editor for DDE"
+    HOMEPAGE_URL "https://github.com/linuxdeepin/deepin-editor"
+    LANGUAGES CXX C
+)
 
 #set(CMAKE_VERBOSE_MAKEFILE ON)
 set(CMAKE_CXX_STANDARD 11)
@@ -18,6 +21,10 @@
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
 endif ()
 
+# 设置软件版本
+include_directories(${PROJECT_BINARY_DIR})
+configure_file(${PROJECT_SOURCE_DIR}/src/environments.h.in ${PROJECT_BINARY_DIR}/environments.h @ONLY)
+
 add_subdirectory(src)
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,6 @@
     # generate qm files
     execute_process(COMMAND bash "${CMAKE_SOURCE_DIR}/translate_generation.sh" WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
 endif ()
-
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/environments.h.in ${CMAKE_CURRENT_SOURCE_DIR}/environments.h @ONLY)
 
 # Sources files
 file(GLOB HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/*.h"  "encodes/*.h" "common/*.h" "controls/*.h" "editor/*.h"  "thememodule/*.h" "widgets/*.h")
@@ -62,7 +60,12 @@
     chardet
 )
 
-set(CMAKE_INSTALL_PREFIX /usr)
+if(DEFINED ENV{PREFIX})
+   set(CMAKE_INSTALL_PREFIX $ENV{PREFIX})
+else()
+   set(CMAKE_INSTALL_PREFIX /usr)
+endif()
+add_definitions(-DLINGLONG_PREFIX=\"${CMAKE_INSTALL_PREFIX}/\")
 
 # Install qm files
 file(GLOB QM_FILES "${CMAKE_SOURCE_DIR}/translations/*.qm")
@@ -80,11 +83,30 @@
 #if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "loongarch64")
 #    install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/loongarch64/deepin-editor DESTINATION /usr/share/deepin-manual/manual-assets/application/)
 if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
-    install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/loongarch64/deepin-editor DESTINATION /usr/share/deepin-manual/manual-assets/application/)
+    if(DEFINED ENV{PREFIX})
+        install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/loongarch64/deepin-editor DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/application/)
+    else()
+        install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/loongarch64/deepin-editor DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/application/)
+    endif()
 else()
-    install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/deepin-editor DESTINATION /usr/share/deepin-manual/manual-assets/application/)
+    if(DEFINED ENV{PREFIX})
+        install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/deepin-editor DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/application/)
+    else()
+        install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/deepin-editor DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/application/)
+    endif()
 endif()
 
 install(TARGETS deepin-editor DESTINATION bin/)
 install(FILES ${CMAKE_SOURCE_DIR}/deepin-editor.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/)
 install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/themes DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-editor/)
+
+# 安装 DConfig 配置文件，1040及以下的默认DTK环境不支持DConfig
+set(DCONFIG_APPID org.deepin.editor)
+file(GLOB DCONFIG_FILES "${CMAKE_SOURCE_DIR}/misc/configs/*.json")
+if(DEFINED DSG_DATA_DIR)
+    dconfig_meta_files(APPID ${DCONFIG_APPID} FILES ${DCONFIG_FILES})
+    message("-- DConfig is supported by DTK")
+else()
+    install(FILES ${DCONFIG_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dsg/configs/${DCONFIG_APPID})
+    message("-- DConfig is not supported by DTK")
+endif()

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,7 @@
 find_package(Qt5Xml REQUIRED)
 find_package(Qt5Svg REQUIRED)
 find_package(Qt5Test REQUIRED)
+find_package(ICU COMPONENTS i18n uc REQUIRED)
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
 include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
@@ -100,6 +101,8 @@
     ${chardet_LIBRARY_DIRS}
     KF5::Codecs
     KF5::SyntaxHighlighting
+    ICU::i18n
+    ICU::uc
     -lpthread
     -lm
     uchardet
@@ -136,6 +139,12 @@
     set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_OFF")
 endif()
 
+#代码覆盖率开关
+if(CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
+endif()
+
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D${CMAKE_SAFETYTEST}")
 if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
   #安全测试选项

=== debian/changelog ===
deepin-editor (6.0.3-1+rb1) UNRELEASED; urgency=medium

  * qt5.15.8 rebuild

 -- Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>  Tue, 14 Mar 2023 11:46:52 +0800

deepin-editor (6.0.3-1) unstable; urgency=medium

  * update

 -- Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>  Tue, 07 Mar 2023 13:22:39 +0800

deepin-editor (6.0.3) unstable; urgency=medium

  * Improve GB18030 text encoding recognition rate.
  * Fix print large document bug.

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 07 Mar 2023 10:43:27 +0800

deepin-editor (6.0.2) unstable; urgency=medium

  * Improve text search and highlight color.

 -- renbin <renbin@uniontech.com>  Thu, 16 Feb 2023 14:42:04 +0800

deepin-editor (6.0.1) unstable; urgency=medium

  * Improve convert text encoding.
  * Adaptor V23 DDE DBus interface.
  * Fix debian rules error. 

 -- renbin <renbin@uniontech.com>  Tue, 14 Feb 2023 15:04:06 +0800

deepin-editor (6.0.0) unstable; urgency=low

  * New version 6.0.0
  * Sync v23 source code from gerrit.

 -- renbin <renbin@uniontech.com>  Wed, 11 Jan 2023 14:04:01 +0000

deepin-editor (5.10.13) unstable; urgency=low

  [ Hu Feng <hufeng@uniontech.com> Fri, 19 Feb 2021 15:32:28 +0800 ]
  * debian/control
    + Add Hu Feng to the uploaders list.
    + Delete libdtkwm-dev in Build-Depends.
    + Delete libxcb-util0-dev in Build-Depends.
    + Delete libxcb1-dev in Build-Depends.
    + Delete libxext-dev in Build-Depends.
    + Delete libxtst-dev in Build-Depends.
    + Add libdframeworkdbus-dev to Build-Depends.
    + Add libgmock-dev to Build-Depends.
    + Add libgtest-dev to Build-Depends.
    + Add deepin-desktop-base to Depends in deepin-editor package.
    + Add dde-qt5integration to Depends in deepin-editor package.

  [ Clay Stan ]
  * debian/copyright: Update license information.

  [ Ma Aiguo ]
  * Initial package (Closes: #897571)

 -- Ma Aiguo <imaiguo@gmail.com>  Wed, 02 Jun 2021 16:53:34 +0800

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
include /usr/share/dpkg/default.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

VERSION = $(DEB_VERSION_UPSTREAM)
PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_OFF" \
	  -DVERSION=$(PACK_VER)

## deepin-editor 6.0.18

=== debian/changelog ===
deepin-editor (6.0.18) unstable; urgency=medium

  * fix: Change default search to be case insensitive(Bug: 262733)
  * fix: Wrong case sensitive config(Bug: 262733)

 -- renbin <renbin@uniontech.com>  Wed, 03 Jul 2024 18:14:32 +0800

deepin-editor (6.0.17) unstable; urgency=medium

  * feat: Change default shortcuts popup position(Task: 332267)(Influence: Shortcuts)

 -- renbin <renbin@uniontech.com>  Wed, 27 Mar 2024 15:37:32 +0800

deepin-editor (6.0.16) unstable; urgency=medium

  * feat: add new tab to the end
    Thanks to Cloud
  * chore: remove duplicate value for key "MimeType" in desktop file
    Thanks to hotime
  * fix: Shortcut 'Ctrl + M cursor' move to row indentation
         not implemented (Bug: 233877)
  * fix: Shortcuts Alt + P / N match the help (Bug: 233883)
  * fix: the Column Edit cannot align the selected columns (Bug: 234517)
  * fix: After column editing,lines are not withdrawn together (Bug: 241475)

 -- renbin <renbin@uniontech.com>  Thu, 01 Feb 2024 14:10:32 +0800

deepin-editor (6.0.15) unstable; urgency=medium

  * fix: Tab height error under low version dtk. 

 -- renbin <renbin@uniontech.com>  Wed, 25 Oct 2023 13:28:05 +0800

deepin-editor (6.0.14) unstable; urgency=medium

  * fix: Add support mimetype mod/toml.(Bug: 210815, 212273)(Influence: SupportFormat)
  * fix: Add mimetype toml in .desktop(Bug: 210815)
  * feat: adapt compact mode.(Task: 292061)(Influence: UI)
  * fix: Adapt compact mode for findbar and replacebar.(Bug: 220159)

 -- renbin <renbin@uniontech.com>  Thu, 19 Oct 2023 13:25:37 +0800

deepin-editor (6.0.13) unstable; urgency=medium

  * fix: Add support mimetype mod/toml.(Bug: 210815, 212273)(Influence: SupportFormat)
  * fix: Add mimetype toml in .desktop(Bug: 210815)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 14:21:02 +0800

deepin-editor (6.0.12) unstable; urgency=medium

  * fix: onPressedLineNumber() may cause process hangs.(Bug: 215591)(Influence: LineNumber)

 -- renbin <renbin@uniontech.com>  Thu, 31 Aug 2023 16:04:59 +0800

deepin-editor (6.0.11) unstable; urgency=medium

  * fix: Document in maximumized window is incomplete.(Bug: 172681)(Influence: SyntaxHighlight)
  * fix: Redo drag text error.(Bug: 196349)(Influence: DragText UnitTest)
  * fix: Redo drag text from other app error.(Influence: DragText)
  * fix: Roll back gb18030 midification.(Influence: GB18030 Encoding)
  * feat: Merge zpd requirement.(Task: 29499)
  * fix: failed unit test case.(Influence: UT)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 21 Jul 2023 14:29:57 +0800

deepin-editor (6.0.10) unstable; urgency=medium

  * chore: 更新翻译配置和翻译文件(Influence: 翻译配置 翻译文件)
  * chore: 更新藏文翻译文件 (#251)(Influence: 翻译文件)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 24 May 2023 13:20:03 +0800

deepin-editor (6.0.9) unstable; urgency=medium

  * fix: deepin-editor searching problem(Bug: 4203)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 11 May 2023 13:36:30 +0800

deepin-editor (6.0.8) unstable; urgency=medium

  * fix: 修复未正确记录日志(Influence: 日志文件)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 25 Apr 2023 10:52:41 +0800

deepin-editor (6.0.7) unstable; urgency=medium

  * fix: 修复最小化后，双击文件无法弹出编辑器窗口(Bug: 194029)(Influence: 激活窗口)
  * fix: 修复另存255长度文件名的文件权限不足问题(Bug: 192375)(Influence: 长文件名另存)
  * fix: 修复设置界面中字体和字号选项未对齐(Influence: 设置界面)
  * fix: 修复高分屏1.5缩放下图标模糊(Bug: 171749)(Influence: 高分屏缩放显示)
  * fix: 修复VBScript文件未高亮问题(Bug: 154719)(Influence: vbs格式高亮 授权文件)
  * chore: remove redundant code for linglong.  

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 20 Apr 2023 15:02:15 +0800

deepin-editor (6.0.6) unstable; urgency=medium

  * fix: 修复使用特殊字体时，序号显示不全(Bug: 188417)(Influence: 序号显示)
  * fix: 修复加载完小文件时，行号显示不全问题(Influence: 行号显示)
  * fix: 修复GB18030部分编码转换错误问题(Influence: 编码转换)
  * fix: 修复源编码为UTF-8时编码转换空白的问题(Influence: 编码转换)
  * feat: 适配GB18030-2022规范兼容2005标准(Bug: 193311)(Influence: 编码转换 GB18030显示 另存)
  * fix: 更新翻译显示(Bug: 110761)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 13 Apr 2023 13:51:25 +0800

deepin-editor (6.0.5) unstable; urgency=medium

  * Fix application palette change bug. 

 -- Deepin Packages Builder <packages@deepin.com> Thu, 16 Mar 2023 09:42:02 +0800

deepin-editor (6.0.4) unstable; urgency=medium

  * Update version to distinguish pro/community.
  * Fix cursor position error when editing multi-byte encoding text.

 -- Deepin Packages Builder <packages@deepin.com> Fri, 10 Mar 2023 10:19:21 +0800

## deepin-editor 6.5.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,12 @@
 include_directories(${PROJECT_BINARY_DIR})
 configure_file(${PROJECT_SOURCE_DIR}/src/environments.h.in ${PROJECT_BINARY_DIR}/environments.h @ONLY)
 
+# 玲珑路径配置
+add_definitions(-DLINGLONG_PREFIX=\"${CMAKE_INSTALL_PREFIX}/\")
+# 高亮文件路径配置
+set(KF5_HIGHLIGHT_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/share/deepin-editor/org.kde.syntax-highlighing)
+add_definitions(-DKF5_HIGHLIGHT_PATH=\"${KF5_HIGHLIGHT_INSTALL_PATH}\")
+
 add_subdirectory(src)
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 endif ()
 
 # Sources files
-file(GLOB HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/*.h"  "encodes/*.h" "common/*.h" "controls/*.h" "editor/*.h"  "thememodule/*.h" "widgets/*.h")
-file(GLOB SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp" "encodes/*.cpp" "common/*.cpp" "controls/*.cpp" "editor/*.cpp"  "thememodule/*.cpp" "widgets/*.cpp")
+file(GLOB HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/*.h"  "encodes/*.h" "common/*.h" "controls/*.h" "editor/*.h"  "thememodule/*.h" "widgets/*.h" "basepub/*.h")
+file(GLOB SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp" "encodes/*.cpp" "common/*.cpp" "controls/*.cpp" "editor/*.cpp"  "thememodule/*.cpp" "widgets/*.cpp" "basepub/*.c")
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/encodes)
@@ -15,6 +15,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/editor)
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/thememodule)
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/widgets)
+include_directories(${CMAKE_CURRENT_SOURCE_DIR}/basepub)
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/lib/include)
 
 # Find the library
@@ -57,15 +58,10 @@
     ICU::uc
     -lm
     uchardet
+    dl
     chardet
 )
 
-if(DEFINED ENV{PREFIX})
-   set(CMAKE_INSTALL_PREFIX $ENV{PREFIX})
-else()
-   set(CMAKE_INSTALL_PREFIX /usr)
-endif()
-add_definitions(-DLINGLONG_PREFIX=\"${CMAKE_INSTALL_PREFIX}/\")
 
 # Install qm files
 file(GLOB QM_FILES "${CMAKE_SOURCE_DIR}/translations/*.qm")
@@ -83,17 +79,9 @@
 #if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "loongarch64")
 #    install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/loongarch64/deepin-editor DESTINATION /usr/share/deepin-manual/manual-assets/application/)
 if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
-    if(DEFINED ENV{PREFIX})
-        install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/loongarch64/deepin-editor DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/application/)
-    else()
-        install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/loongarch64/deepin-editor DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/application/)
-    endif()
+    install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/loongarch64/deepin-editor DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/application/)
 else()
-    if(DEFINED ENV{PREFIX})
-        install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/deepin-editor DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/application/)
-    else()
-        install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/deepin-editor DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/application/)
-    endif()
+    install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/assets/deepin-editor DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/application/)
 endif()
 
 install(TARGETS deepin-editor DESTINATION bin/)
@@ -110,3 +98,7 @@
     install(FILES ${DCONFIG_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dsg/configs/${DCONFIG_APPID})
     message("-- DConfig is not supported by DTK")
 endif()
+
+# 添加KF5格式高亮配置文件，/usr/share/org.kde.syntax-highlighting/syntax/ 为所有用户可读取高亮配置的路径
+install(DIRECTORY ${CMAKE_SOURCE_DIR}/misc/org.kde.syntax-highlighing/syntax
+    DESTINATION ${KF5_HIGHLIGHT_INSTALL_PATH})

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -59,11 +59,12 @@
 #Include all app own subdirectorys
 
 
-file(GLOB_RECURSE INTRODUCTION_SRC_TEST ${CMAKE_CURRENT_LIST_DIR}/../src/*.cpp)
+file(GLOB_RECURSE INTRODUCTION_SRC_TEST ${CMAKE_CURRENT_LIST_DIR}/../src/*.cpp ${CMAKE_CURRENT_LIST_DIR}/../src/basepub/*.c)
 #file(GLOB_RECURSE INTRODUCTION_SRC_TEST ${CMAKE_CURRENT_LIST_DIR}/../src/*.)
 #file(GLOB_RECURSE INTRODUCTION_SRC_TEST1 ${CMAKE_CURRENT_LIST_DIR}/src/*.)
 file(GLOB_RECURSE INTRODUCTION_SRC_TEST1 ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp *.theme)
 #file(GLOB_RECURSE INTRODUCTION_SRC_TEST1 ${CMAKE_CURRENT_LIST_DIR}/src/*.theme)
+file(GLOB_RECURSE INTRODUCTION_SRC_TEST2 ${CMAKE_CURRENT_LIST_DIR}/../src/*.h)
 
 list(REMOVE_ITEM INTRODUCTION_SRC_TEST "${CMAKE_CURRENT_LIST_DIR}/../src/main.cpp")
 list(REMOVE_ITEM INTRODUCTION_SRC_TEST "${CMAKE_CURRENT_LIST_DIR}/../src/dedit/main.cpp")
@@ -72,6 +73,7 @@
 
 # 生成测试可执行程序
 add_executable(${PROJECT_NAME_TEST}
+    ${INTRODUCTION_SRC_TEST2}
     ${INTRODUCTION_SRC_TEST}
     ${INTRODUCTION_SRC_TEST1}
     ${APP_QRC}
@@ -105,6 +107,7 @@
     ICU::uc
     -lpthread
     -lm
+    dl
     uchardet
     chardet
 )

=== debian/changelog ===
deepin-editor (6.5.7) unstable; urgency=medium

  * Update version to 6.5.7

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 13:50:53 +0800

deepin-editor (6.5.6) unstable; urgency=medium

  * Update version to 6.5.6

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 18:39:13 +0800

deepin-editor (6.5.5) unstable; urgency=medium

  * chore: update linglong version
  * feat: adapt new ai assistant(Task: 36825)

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 11:46:16 +0800

deepin-editor (6.5.4) unstable; urgency=medium

  * remove kwayland-shell env 

 -- Liu zheng <liuzheng@uniontech.com>  Wed, 06 Nov 2024 16:02:37 +0800

deepin-editor (6.5.3) unstable; urgency=medium

  * New version 6.5.3
  * Compress the linglong layer package.
  * Rename some images which with blank space char.

 -- re2zero <yangwu@uniontech.com>  Fri, 27 Sep 2024 13:11:16 +0800

deepin-editor (6.5.2) unstable; urgency=medium

  * New version 6.5.2
  * Adapt linglong.

 -- re2zero <yangwu@uniontech.com>  Fri, 13 Sep 2024 14:06:16 +0800

deepin-editor (6.5.1) unstable; urgency=medium

  * fix: Register application/x-zerosize MimeType in desktop file (Bug: 267705)

 -- wangrong <wangrong@uniontech.com>  Tue, 03 Sep 2024 15:43:20 +0800

deepin-editor (6.5.0) unstable; urgency=medium

  * chore(CI): add debian check workflow
  * feat: adapt treeland(Influence: Wayland)

 -- renbin <renbin@uniontech.com>  Wed, 21 Aug 2024 15:25:06 +0800

=== debian/control ===
--- 
+++ 
@@ -38,3 +38,4 @@
  Advanced text editor based on dtk.
  .
  This package is part of DDE (Deepin Desktop Environment).
+Recommends: uos-reporter, deepin-event-log

=== debian/rules ===
--- 
+++ 
@@ -17,5 +17,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	  -DCMAKE_BUILD_TYPE=Release \
+	  -DCMAKE_INSTALL_PREFIX=/usr \
 	  -DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_OFF" \
 	  -DVERSION=$(PACK_VER)

## deepin-editor 6.5.25

=== debian/changelog ===
deepin-editor (6.5.25) unstable; urgency=medium

  * Update version to 6.5.25

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 14 May 2025 11:10:19 +0800

deepin-editor (6.5.24) unstable; urgency=medium

  * fix: Refactor file saving with TextFileSaver and add safety checks
  * fix: Refactor file saving with memory validation
  * fix: capture bad_alloc(Bug: 311693)

 -- renbin <renbin@uniontech.com>  Thu, 24 Apr 2025 17:14:55 +0800

deepin-editor (6.5.23) unstable; urgency=medium

  * Fix: Add Qt6 support while maintaining Qt5 compatibility

 -- renbin <renbin@uniontech.com>  Wed, 16 Apr 2025 16:32:20 +0800

deepin-editor (6.5.22) unstable; urgency=medium

  * fix: Disable AI features on MIPS(Bug: 309189)

 -- renbin <renbin@uniontech.com>  Thu, 10 Apr 2025 19:17:12 +0800

deepin-editor (6.5.21) unstable; urgency=medium

  * chore: update desktop file
  * fix: build with icu 75+ ICU 75+ requires C++17 to build.
  * Fix configuration for Packit 1.0.0

 -- renbin <renbin@uniontech.com>  Wed, 02 Apr 2025 15:53:16 +0800

deepin-editor (6.5.20) unstable; urgency=medium

  * fix: update lrelease path in translation generation

 -- renbin <renbin@uniontech.com>  Fri, 28 Mar 2025 10:02:21 +0800

deepin-editor (6.5.19) unstable; urgency=medium

  * fix: use canonical file path(Bug: 297679)
  * refactor: remove DFrameworkdbus dependency and update Qt path handling
  * refactor: remove DFrameworkdbus dependency and update Qt path handling

 -- renbin <renbin@uniontech.com>  Thu, 27 Mar 2025 13:27:24 +0800

deepin-editor (6.5.18) unstable; urgency=medium

  * Update version to 6.5.18

 -- renbin <renbin@uniontech.com>  Thu, 20 Mar 2025 19:04:56 +0800

deepin-editor (6.5.17) unstable; urgency=medium

  * Bump version to 6.5.17

 -- Wang Yu <wangyu@uniontch.com>  Wed, 12 Mar 2025 20:21:34 +0800

deepin-editor (6.5.16) unstable; urgency=medium

  * Bump version to 6.5.16

 -- wangrong <wangrong@uniontech.com>  Thu, 27 Feb 2025 19:17:02 +0800

deepin-editor (6.5.15) unstable; urgency=medium

  * chore: New version 6.5.15.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 20 Feb 2025 19:57:55 +0800

deepin-editor (6.5.14) unstable; urgency=medium

  * Update version to 6.5.14
  * Update linglong.yaml for qt6.8 runtime

 -- wangrong <wangrong@uniontech.com>  Fri, 07 Feb 2025 13:44:45 +0800

deepin-editor (6.5.13) unstable; urgency=medium

  * chore: v6.5.13 release.
  * feat: support qt6 build.

 -- re2zero <yangwu@uniontech.com>  Mon, 20 Jan 2025 16:30:43 +0800

deepin-editor (6.5.12) unstable; urgency=medium

  * chore: add org_deepin_editor configuration class (#320)
  * fix: cannot detect uos-ai in linglong (#321)(Bug: 300549)

 -- renbin <renbin@uniontech.com>  Thu, 16 Jan 2025 17:06:44 +0800

deepin-editor (6.5.11) unstable; urgency=medium

  * chore: New version 6.5.11.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 09 Jan 2025 17:38:34 +0800

deepin-editor (6.5.10) unstable; urgency=medium

  * fix: floating message cannot be closed(Bug: 297669)

 -- renbin <renbin@uniontech.com>  Thu, 02 Jan 2025 20:28:25 +0800

deepin-editor (6.5.9) unstable; urgency=medium

  * fix: remove invalid  url (#308)
  * fix: crash when characters over 2^30(Bug: 297727)

 -- renbin <renbin@uniontech.com>  Thu, 26 Dec 2024 19:25:31 +0800

deepin-editor (6.5.8) unstable; urgency=medium

  * chore: New version 6.5.8.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 14:05:02 +0800

## deepin-editor 6.5.27

=== debian/changelog ===
deepin-editor (6.5.27) unstable; urgency=medium

  * update translations.

 -- Liuyangming <liuyangming@uniontech.com>  Mon, 23 Jun 2025 13:58:34 +0800

deepin-editor (6.5.26) unstable; urgency=medium

  * Update damn's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 18 Jun 2025 11:13:49 +0800

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,28 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
+# 检测当前安装的Qt版本，优先使用Qt6，否则使用Qt5
+define detect_qt_version
+ifneq (,$(shell which qmake6 2>/dev/null))
+    QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt6"
+else
+    QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5"
+endif
+endef
+
+# 调用检测Qt版本的命令
+$(eval $(call detect_qt_version))
+
+# hardcode this if want to force build with sepecific Qt version
+# QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5"
+
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	  -DCMAKE_BUILD_TYPE=Release \
 	  -DCMAKE_INSTALL_PREFIX=/usr \
 	  -DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_OFF" \
-	  -DVERSION=$(PACK_VER)
+	  -DVERSION=$(PACK_VER) \
+	  -DQT_DIR=$(QT_DIR)

## deepin-editor 6.5.32

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -22,26 +22,42 @@
 
 # Find the library
 find_package(PkgConfig REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5DBus REQUIRED)
-find_package(Qt5Concurrent REQUIRED)
-find_package(Qt5PrintSupport REQUIRED)
-find_package(Qt5Gui REQUIRED)
-find_package(DtkWidget REQUIRED)
-find_package(DtkCore REQUIRED)
-find_package(KF5SyntaxHighlighting)
-find_package(KF5Codecs)
-find_package(DFrameworkdbus REQUIRED)
-find_package(Qt5Test REQUIRED)
+
+
+set(qt_required_components Gui Widgets DBus Concurrent PrintSupport Svg Xml Test)
+if (QT_DESIRED_VERSION MATCHES 6)
+    list(APPEND qt_required_components Core5Compat)
+endif()
+find_package(Qt${QT_DESIRED_VERSION} REQUIRED COMPONENTS ${qt_required_components})
+find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget Core)
+find_package(KF${KF_VERSION_MAJOR}Codecs REQUIRED)
+find_package(KF${KF_VERSION_MAJOR}SyntaxHighlighting REQUIRED)
+
+set(LINK_LIBS
+    Qt${QT_VERSION_MAJOR}::Gui
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::Xml
+    Qt${QT_VERSION_MAJOR}::Svg
+    Qt${QT_VERSION_MAJOR}::Concurrent
+    Qt${QT_VERSION_MAJOR}::PrintSupport
+    Qt${QT_VERSION_MAJOR}::DBus
+    Qt${QT_VERSION_MAJOR}::Test
+    Dtk${DTK_VERSION_MAJOR}::Widget
+    Dtk${DTK_VERSION_MAJOR}::Core
+    KF${KF_VERSION_MAJOR}::Codecs
+    KF${KF_VERSION_MAJOR}::SyntaxHighlighting
+)
+
+if (QT_DESIRED_VERSION MATCHES 6)
+    list(APPEND LINK_LIBS Qt${QT_DESIRED_VERSION}::Core5Compat)
+else()
+    include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
+endif()
+
 find_package(GTest REQUIRED)
-find_package(Qt5Xml REQUIRED)
-find_package(Qt5Svg REQUIRED)
-find_package(Qt5Test REQUIRED)
 find_package(ICU COMPONENTS i18n uc REQUIRED)
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
-include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
-include_directories(Qt5PrintSupport)
 include_directories(${GTEST_INCLUDE_DIRS})
 include_directories(src)
 link_libraries(uchardet)
@@ -82,27 +98,12 @@
 # 生成测试可执行程序的依赖库
 target_link_libraries(${PROJECT_NAME_TEST}
         gmock gmock_main gtest gtest_main
-    ${DtkWidget_LIBRARIES}
-    ${DtkCore_LIBRARIES}
-    ${DFrameworkdbus_LIBRARIES}
+    ${LINK_LIBS}
     ${GSTREAMER_LIBRARIES}
-    ${Qt5PrintSupport_LIBRARIES}
     ${LIBDMR_LIBRARIES}
     ${GTEST_LIBRARIES}
     ${GTEST_MAIN_LIBRARIES}
-    ${Qt5Xml_LIBRARIES}
-    ${Qt5Svg_LIBRARIES}
-    Qt5::Core
-    Qt5::Gui
-    Qt5::Widgets
-    Qt5::DBus
-    Qt5::Test
-    ${Qt5Widgets_LIBRARIES}
-    ${Qt5DBus_LIBRARIES}
-    ${Qt5Concurrent_LIBRARIES}
     ${chardet_LIBRARY_DIRS}
-    KF5::Codecs
-    KF5::SyntaxHighlighting
     ICU::i18n
     ICU::uc
     -lpthread
@@ -112,9 +113,6 @@
     chardet
 )
 
-target_include_directories(${PROJECT_NAME_TEST} PUBLIC ${DtkWidget_INCLUDE_DIRS}
-                                                       ${DtkCore_INCLUDE_DIRS}
-                                                       ${DtkGui_INCLUDE_DIRS})
 #以下注释
 add_custom_target(test
 #    #执行mkdir -p 创建 coverageResult

=== debian/changelog ===
deepin-editor (6.5.32) unstable; urgency=medium

  * fix: Update file path handling in saveAsFileToDisk function

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 18 Jul 2025 13:16:52 +0800

deepin-editor (6.5.31) unstable; urgency=medium

  * fix: Remove return statement in recoverFile function

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 16 Jul 2025 11:32:50 +0800

deepin-editor (6.5.30) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 10 Jul 2025 17:09:16 +0800

deepin-editor (6.5.29) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 09 Jul 2025 16:56:15 +0800

deepin-editor (6.5.28) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 02 Jul 2025 11:00:13 +0800

## deepin-editor 6.5.34

=== debian/changelog ===
deepin-editor (6.5.34) unstable; urgency=medium

  * feat: Update translations for Lao locale (#376)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 18:12:04 +0800

deepin-editor (6.5.33) unstable; urgency=medium

  * Update translations for Lao locale.
  * update version to 6.5.33. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 15:18:53 +0800
